LLVM: lldb::SBTypeMember Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
lldb::SBTypeMember Class Reference

`#include <SBType.h>`

Collaboration diagram for lldb::SBTypeMember:
[legend]

## Public Member Functions
| SBTypeMember ()
| SBTypeMember (const lldb::SBTypeMember &rhs)
| ~SBTypeMember ()
lldb::SBTypeMember & | operator= (const lldb::SBTypeMember &rhs)
bool | IsValid () const
const char * | GetName ()
lldb::SBType | GetType ()
uint64_t | GetOffsetInBytes ()
uint64_t | GetOffsetInBits ()
bool | IsBitfield ()
uint32_t | GetBitfieldSizeInBits ()
bool | GetDescription (lldb::SBStream &description, lldb::DescriptionLevel description_level)

## Protected Member Functions
void | reset (lldb_private::TypeMemberImpl *)
lldb_private::TypeMemberImpl & | ref ()
const lldb_private::TypeMemberImpl & | ref () const

## Protected Attributes
std::unique_ptr < lldb_private::TypeMemberImpl > | m_opaque_ap

## Friends
class | SBType

## Detailed Description

Definition at line 19 of file SBType.h.

## Constructor & Destructor Documentation

lldb::SBTypeMember::SBTypeMember | ( |  | ) |

lldb::SBTypeMember::SBTypeMember | ( | const lldb::SBTypeMember & | rhs | ) |

lldb::SBTypeMember::~SBTypeMember | ( |  | ) |

## Member Function Documentation

uint32_t lldb::SBTypeMember::GetBitfieldSizeInBits | ( |  | ) |

bool lldb::SBTypeMember::GetDescription | ( | lldb::SBStream & | description,
|  | lldb::DescriptionLevel | description_level
| ) |  |

const char* lldb::SBTypeMember::GetName | ( |  | ) |

uint64_t lldb::SBTypeMember::GetOffsetInBits | ( |  | ) |

uint64_t lldb::SBTypeMember::GetOffsetInBytes | ( |  | ) |

lldb::SBType lldb::SBTypeMember::GetType | ( |  | ) |

bool lldb::SBTypeMember::IsBitfield | ( |  | ) |

bool lldb::SBTypeMember::IsValid | ( |  | ) | const

lldb::SBTypeMember& lldb::SBTypeMember::operator= | ( | const lldb::SBTypeMember & | rhs | ) |

lldb_private::TypeMemberImpl& lldb::SBTypeMember::ref | ( |  | ) |
| protected

const lldb_private::TypeMemberImpl& lldb::SBTypeMember::ref | ( |  | ) | const
| protected

void lldb::SBTypeMember::reset | ( | lldb_private::TypeMemberImpl * |  | ) |
| protected

## Friends And Related Function Documentation

friend class SBType
| friend

Definition at line 47 of file SBType.h.

## Member Data Documentation

std::unique_ptr<lldb_private::TypeMemberImpl> lldb::SBTypeMember::m_opaque_ap
| protected

Definition at line 55 of file SBType.h.

The documentation for this class was generated from the following file:

- SBType.h